<?php
/*
Plugin - PlogBirthdays
Copyright (C) 2005 Matthew Wood
                                                                                
This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.
*/


include_once(PLOG_CLASS_PATH."class/object/object.class.php");

class PlogBirthday extends Object
{
  var $_bdid;
  var $_bdperson;
  var $_month;
  var $_day;
  var $_year;
  var $_bdmessage;

  function PlogBirthday($id,$p,$month,$day,$year,$msg)
  {
    $this->_bdid = $id;
    $this->_bdperson = $p;
    $this->_month = $month;
    $this->_day = $day;
    $this->_year = $year;
    $this->_bdmessage = $msg;
  }

  function getId() { return $this->_bdid; }
  function getName() { return $this->_bdperson; }
  function getMonth() { return $this->_month; }
  function getDay() { return $this->_day; }
  function getYear() { return $this->_year; }
  function getMessage() { return $this->_bdmessage; }
}
?>
